org.springframework.data.repository.core.support

## Interface QueryCreationListener<T extends RepositoryQuery>

    public interface QueryCreationListener<T extends RepositoryQuery>

Callback for listeners that want to execute functionality on `RepositoryQuery` creation.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onCreation(T query)` Will be invoked just after the `RepositoryQuery` was created.

### Method Detail

#### onCreation

    void onCreation(T query)

Will be invoked just after the `RepositoryQuery` was created.

Parameters:
  `query` -